# TdApi.CreateBasicGroupChat (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: CreateBasicGroupChat

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CreateBasicGroupChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Chat>
it.tdlight.jni.TdApi.CreateBasicGroupChat

Enclosing class:
  TdApi

public static final class TdApi.CreateBasicGroupChat extends TdApi.Function<TdApi.Chat>
Returns an existing chat corresponding to a known basic group. Returns `Chat`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`basicGroupId`
Basic group identifier.
`static final int`
`CONSTRUCTOR`
`boolean`
`force`
Pass true to create the chat without a network request.

## Constructor Summary

Constructors
Constructor
Description
`CreateBasicGroupChat()`
Returns an existing chat corresponding to a known basic group.
`CreateBasicGroupChat(long basicGroupId, boolean force)`
Returns an existing chat corresponding to a known basic group.
`CreateBasicGroupChat(DataInput input)`
Returns an existing chat corresponding to a known basic group.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### basicGroupId

public long basicGroupId
Basic group identifier.

### force

public boolean force
Pass true to create the chat without a network request. In this case all information about the chat except its type, title and photo can be incorrect.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### CreateBasicGroupChat

public CreateBasicGroupChat()
Returns an existing chat corresponding to a known basic group. Returns `Chat`

### CreateBasicGroupChat

public CreateBasicGroupChat(long basicGroupId, boolean force)
Returns an existing chat corresponding to a known basic group. Returns `Chat`

Parameters:
  `basicGroupId` - long Basic group identifier.
  `force` - boolean Pass true to create the chat without a network request. In this case all information about the chat except its type, title and photo can be incorrect.

### CreateBasicGroupChat

public CreateBasicGroupChat(DataInput input) throws IOException
Returns an existing chat corresponding to a known basic group. Returns `Chat`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`